Public Class frmMain Inherits System.Windows.Forms.Form Dim m_tmr As New Windows.Forms.Timer Dim m_iTime As Integer Dim m_sRoot As String Dim m_SEObject As String Dim oApp As SolidEdgeFramework.Application #Region " Vom Windows Form Designer generierter Code " Public Sub New() MyBase.New() ' Dieser Aufruf ist für den Windows Form-Designer erforderlich. InitializeComponent() ' Initialisierungen nach dem Aufruf InitializeComponent() hinzufügen End Sub ' Die Form überschreibt den Löschvorgang der Basisklasse, um Komponenten zu bereinigen. Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean) If disposing Then If Not (components Is Nothing) Then components.Dispose() End If End If MyBase.Dispose(disposing) End Sub ' Für Windows Form-Designer erforderlich Private components As System.ComponentModel.IContainer 'HINWEIS: Die folgende Prozedur ist für den Windows Form-Designer erforderlich 'Sie kann mit dem Windows Form-Designer modifiziert werden. 'Verwenden Sie nicht den Code-Editor zur Bearbeitung. Friend WithEvents grpMain As System.Windows.Forms.GroupBox Friend WithEvents lblWarning As System.Windows.Forms.Label Friend WithEvents lblFirm As System.Windows.Forms.Label Friend WithEvents lblLoginManager As System.Windows.Forms.Label Friend WithEvents lblCopyright As System.Windows.Forms.Label Friend WithEvents tmrMain As System.Windows.Forms.Timer Friend WithEvents prbMain As System.Windows.Forms.ProgressBar Friend WithEvents sbrMain As System.Windows.Forms.StatusBar Friend WithEvents pnlOS As System.Windows.Forms.StatusBarPanel Friend WithEvents pnlActivity As System.Windows.Forms.StatusBarPanel Friend WithEvents pnlDate As System.Windows.Forms.StatusBarPanel Friend WithEvents pnlTime As System.Windows.Forms.StatusBarPanel Friend WithEvents ttpMain As System.Windows.Forms.ToolTip Friend WithEvents picMeteor As System.Windows.Forms.PictureBox Friend WithEvents lblMeteor As System.Windows.Forms.Label Friend WithEvents picEXIT As System.Windows.Forms.PictureBox Friend WithEvents grpPrinter As System.Windows.Forms.GroupBox Friend WithEvents btnMeteorA0 As System.Windows.Forms.Button Friend WithEvents btnMeteorA1 As System.Windows.Forms.Button Friend WithEvents btnMeteorA2 As System.Windows.Forms.Button Friend WithEvents btnMeteorA3 As System.Windows.Forms.Button Friend WithEvents btnMeteorA4 As System.Windows.Forms.Button Friend WithEvents picLogo As System.Windows.Forms.PictureBox Friend WithEvents lblHinweis As System.Windows.Forms.Label Friend WithEvents pichpav As System.Windows.Forms.PictureBox Friend WithEvents lblhpav As System.Windows.Forms.Label Friend WithEvents btnhpavA3 As System.Windows.Forms.Button Friend WithEvents btnhpavA4 As System.Windows.Forms.Button Friend WithEvents rbnLandscape As System.Windows.Forms.RadioButton Friend WithEvents rbnPortrait As System.Windows.Forms.RadioButton Friend WithEvents lblUser As System.Windows.Forms.Label Friend WithEvents lblClient As System.Windows.Forms.Label Friend WithEvents picUser As System.Windows.Forms.PictureBox Friend WithEvents picClient As System.Windows.Forms.PictureBox Friend WithEvents lblVersionNr As System.Windows.Forms.Label Friend WithEvents lblVersion As System.Windows.Forms.Label Friend WithEvents picLS001 As System.Windows.Forms.PictureBox Friend WithEvents lblLS001 As System.Windows.Forms.Label Friend WithEvents btnLS001A3 As System.Windows.Forms.Button Friend WithEvents lblSIE As System.Windows.Forms.Label Friend WithEvents picLS003 As System.Windows.Forms.PictureBox Friend WithEvents picLS004 As System.Windows.Forms.PictureBox Friend WithEvents picLS002 As System.Windows.Forms.PictureBox Friend WithEvents lblLS002 As System.Windows.Forms.Label Friend WithEvents lblLS003 As System.Windows.Forms.Label Friend WithEvents lblVERSUCH As System.Windows.Forms.Label Friend WithEvents lblLS004 As System.Windows.Forms.Label Friend WithEvents btnLS003A4 As System.Windows.Forms.Button Friend WithEvents btnLS001A4 As System.Windows.Forms.Button Friend WithEvents btnLS002A3 As System.Windows.Forms.Button Friend WithEvents btnLS002A4 As System.Windows.Forms.Button Friend WithEvents btnLS004A4 As System.Windows.Forms.Button Private Sub InitializeComponent() Me.components = New System.ComponentModel.Container Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(frmMain)) Me.grpMain = New System.Windows.Forms.GroupBox Me.lblClient = New System.Windows.Forms.Label Me.lblCopyright = New System.Windows.Forms.Label Me.lblVersionNr = New System.Windows.Forms.Label Me.lblVersion = New System.Windows.Forms.Label Me.lblUser = New System.Windows.Forms.Label Me.picUser = New System.Windows.Forms.PictureBox Me.picClient = New System.Windows.Forms.PictureBox Me.grpPrinter = New System.Windows.Forms.GroupBox Me.rbnPortrait = New System.Windows.Forms.RadioButton Me.rbnLandscape = New System.Windows.Forms.RadioButton Me.btnhpavA3 = New System.Windows.Forms.Button Me.btnhpavA4 = New System.Windows.Forms.Button Me.lblhpav = New System.Windows.Forms.Label Me.pichpav = New System.Windows.Forms.PictureBox Me.lblHinweis = New System.Windows.Forms.Label Me.lblSIE = New System.Windows.Forms.Label Me.picMeteor = New System.Windows.Forms.PictureBox Me.picLS003 = New System.Windows.Forms.PictureBox Me.picLS004 = New System.Windows.Forms.PictureBox Me.picLS002 = New System.Windows.Forms.PictureBox Me.picLS001 = New System.Windows.Forms.PictureBox Me.lblMeteor = New System.Windows.Forms.Label Me.lblLS002 = New System.Windows.Forms.Label Me.lblLS001 = New System.Windows.Forms.Label Me.lblLS003 = New System.Windows.Forms.Label Me.lblVERSUCH = New System.Windows.Forms.Label Me.lblLS004 = New System.Windows.Forms.Label Me.btnLS003A4 = New System.Windows.Forms.Button Me.btnLS001A3 = New System.Windows.Forms.Button Me.btnLS001A4 = New System.Windows.Forms.Button Me.btnLS002A3 = New System.Windows.Forms.Button Me.btnLS002A4 = New System.Windows.Forms.Button Me.btnMeteorA0 = New System.Windows.Forms.Button Me.btnMeteorA1 = New System.Windows.Forms.Button Me.btnMeteorA2 = New System.Windows.Forms.Button Me.btnMeteorA3 = New System.Windows.Forms.Button Me.btnMeteorA4 = New System.Windows.Forms.Button Me.btnLS004A4 = New System.Windows.Forms.Button Me.lblLoginManager = New System.Windows.Forms.Label Me.sbrMain = New System.Windows.Forms.StatusBar Me.pnlOS = New System.Windows.Forms.StatusBarPanel Me.pnlActivity = New System.Windows.Forms.StatusBarPanel Me.pnlDate = New System.Windows.Forms.StatusBarPanel Me.pnlTime = New System.Windows.Forms.StatusBarPanel Me.prbMain = New System.Windows.Forms.ProgressBar Me.lblFirm = New System.Windows.Forms.Label Me.picLogo = New System.Windows.Forms.PictureBox Me.lblWarning = New System.Windows.Forms.Label Me.picEXIT = New System.Windows.Forms.PictureBox Me.tmrMain = New System.Windows.Forms.Timer(Me.components) Me.ttpMain = New System.Windows.Forms.ToolTip(Me.components) Me.grpMain.SuspendLayout() Me.grpPrinter.SuspendLayout() CType(Me.pnlOS, System.ComponentModel.ISupportInitialize).BeginInit() CType(Me.pnlActivity, System.ComponentModel.ISupportInitialize).BeginInit() CType(Me.pnlDate, System.ComponentModel.ISupportInitialize).BeginInit() CType(Me.pnlTime, System.ComponentModel.ISupportInitialize).BeginInit() Me.SuspendLayout() ' 'grpMain ' Me.grpMain.Controls.Add(Me.lblClient) Me.grpMain.Controls.Add(Me.lblCopyright) Me.grpMain.Controls.Add(Me.lblVersionNr) Me.grpMain.Controls.Add(Me.lblVersion) Me.grpMain.Controls.Add(Me.lblUser) Me.grpMain.Controls.Add(Me.picUser) Me.grpMain.Controls.Add(Me.picClient) Me.grpMain.Controls.Add(Me.grpPrinter) Me.grpMain.Controls.Add(Me.lblLoginManager) Me.grpMain.Controls.Add(Me.sbrMain) Me.grpMain.Controls.Add(Me.prbMain) Me.grpMain.Controls.Add(Me.lblFirm) Me.grpMain.Controls.Add(Me.picLogo) Me.grpMain.Controls.Add(Me.lblWarning) Me.grpMain.Controls.Add(Me.picEXIT) Me.grpMain.Location = New System.Drawing.Point(8, 8) Me.grpMain.Name = "grpMain" Me.grpMain.Size = New System.Drawing.Size(976, 576) Me.grpMain.TabIndex = 0 Me.grpMain.TabStop = False ' 'lblClient ' Me.lblClient.Font = New System.Drawing.Font("Microsoft Sans Serif", 16.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblClient.ForeColor = System.Drawing.Color.Black Me.lblClient.Location = New System.Drawing.Point(704, 32) Me.lblClient.Name = "lblClient" Me.lblClient.Size = New System.Drawing.Size(184, 32) Me.lblClient.TabIndex = 22 Me.lblClient.Text = "Client" ' 'lblCopyright ' Me.lblCopyright.ForeColor = System.Drawing.Color.Gray Me.lblCopyright.Location = New System.Drawing.Point(880, 64) Me.lblCopyright.Name = "lblCopyright" Me.lblCopyright.Size = New System.Drawing.Size(56, 32) Me.lblCopyright.TabIndex = 12 Me.lblCopyright.Text = "Copyright sie" ' 'lblVersionNr ' Me.lblVersionNr.Font = New System.Drawing.Font("Arial", 12.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblVersionNr.ForeColor = System.Drawing.Color.Black Me.lblVersionNr.Location = New System.Drawing.Point(888, 40) Me.lblVersionNr.Name = "lblVersionNr" Me.lblVersionNr.Size = New System.Drawing.Size(80, 32) Me.lblVersionNr.TabIndex = 10 Me.lblVersionNr.Text = "2006" Me.lblVersionNr.TextAlign = System.Drawing.ContentAlignment.TopRight ' 'lblVersion ' Me.lblVersion.Font = New System.Drawing.Font("Microsoft Sans Serif", 16.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblVersion.ForeColor = System.Drawing.Color.Black Me.lblVersion.Location = New System.Drawing.Point(880, 16) Me.lblVersion.Name = "lblVersion" Me.lblVersion.Size = New System.Drawing.Size(88, 32) Me.lblVersion.TabIndex = 9 Me.lblVersion.Text = "Version" Me.lblVersion.TextAlign = System.Drawing.ContentAlignment.TopRight ' 'lblUser ' Me.lblUser.Font = New System.Drawing.Font("Microsoft Sans Serif", 16.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblUser.ForeColor = System.Drawing.Color.Black Me.lblUser.Location = New System.Drawing.Point(704, 96) Me.lblUser.Name = "lblUser" Me.lblUser.Size = New System.Drawing.Size(248, 32) Me.lblUser.TabIndex = 23 Me.lblUser.Text = "User" ' 'picUser ' Me.picUser.Image = CType(resources.GetObject("picUser.Image"), System.Drawing.Image) Me.picUser.Location = New System.Drawing.Point(648, 80) Me.picUser.Name = "picUser" Me.picUser.Size = New System.Drawing.Size(56, 56) Me.picUser.TabIndex = 21 Me.picUser.TabStop = False ' 'picClient ' Me.picClient.Image = CType(resources.GetObject("picClient.Image"), System.Drawing.Image) Me.picClient.Location = New System.Drawing.Point(648, 24) Me.picClient.Name = "picClient" Me.picClient.Size = New System.Drawing.Size(56, 50) Me.picClient.TabIndex = 20 Me.picClient.TabStop = False ' 'grpPrinter ' Me.grpPrinter.Controls.Add(Me.rbnPortrait) Me.grpPrinter.Controls.Add(Me.rbnLandscape) Me.grpPrinter.Controls.Add(Me.btnhpavA3) Me.grpPrinter.Controls.Add(Me.btnhpavA4) Me.grpPrinter.Controls.Add(Me.lblhpav) Me.grpPrinter.Controls.Add(Me.pichpav) Me.grpPrinter.Controls.Add(Me.lblHinweis) Me.grpPrinter.Controls.Add(Me.lblSIE) Me.grpPrinter.Controls.Add(Me.picMeteor) Me.grpPrinter.Controls.Add(Me.picLS003) Me.grpPrinter.Controls.Add(Me.picLS004) Me.grpPrinter.Controls.Add(Me.picLS002) Me.grpPrinter.Controls.Add(Me.picLS001) Me.grpPrinter.Controls.Add(Me.lblMeteor) Me.grpPrinter.Controls.Add(Me.lblLS002) Me.grpPrinter.Controls.Add(Me.lblLS001) Me.grpPrinter.Controls.Add(Me.lblLS003) Me.grpPrinter.Controls.Add(Me.lblVERSUCH) Me.grpPrinter.Controls.Add(Me.lblLS004) Me.grpPrinter.Controls.Add(Me.btnLS003A4) Me.grpPrinter.Controls.Add(Me.btnLS001A3) Me.grpPrinter.Controls.Add(Me.btnLS001A4) Me.grpPrinter.Controls.Add(Me.btnLS002A3) Me.grpPrinter.Controls.Add(Me.btnLS002A4) Me.grpPrinter.Controls.Add(Me.btnMeteorA0) Me.grpPrinter.Controls.Add(Me.btnMeteorA1) Me.grpPrinter.Controls.Add(Me.btnMeteorA2) Me.grpPrinter.Controls.Add(Me.btnMeteorA3) Me.grpPrinter.Controls.Add(Me.btnMeteorA4) Me.grpPrinter.Controls.Add(Me.btnLS004A4) Me.grpPrinter.Location = New System.Drawing.Point(16, 144) Me.grpPrinter.Name = "grpPrinter" Me.grpPrinter.Size = New System.Drawing.Size(944, 320) Me.grpPrinter.TabIndex = 18 Me.grpPrinter.TabStop = False ' 'rbnPortrait ' Me.rbnPortrait.Font = New System.Drawing.Font("Microsoft Sans Serif", 10.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.rbnPortrait.ForeColor = System.Drawing.Color.Black Me.rbnPortrait.Location = New System.Drawing.Point(832, 288) Me.rbnPortrait.Name = "rbnPortrait" Me.rbnPortrait.Size = New System.Drawing.Size(96, 24) Me.rbnPortrait.TabIndex = 42 Me.rbnPortrait.Text = "Hochformat" ' 'rbnLandscape ' Me.rbnLandscape.Checked = True Me.rbnLandscape.Font = New System.Drawing.Font("Microsoft Sans Serif", 10.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.rbnLandscape.ForeColor = System.Drawing.Color.Black Me.rbnLandscape.Location = New System.Drawing.Point(720, 288) Me.rbnLandscape.Name = "rbnLandscape" Me.rbnLandscape.Size = New System.Drawing.Size(96, 24) Me.rbnLandscape.TabIndex = 41 Me.rbnLandscape.TabStop = True Me.rbnLandscape.Text = "Querformat" ' 'btnhpavA3 ' Me.btnhpavA3.Enabled = False Me.btnhpavA3.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnhpavA3.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnhpavA3.ForeColor = System.Drawing.Color.Silver Me.btnhpavA3.Location = New System.Drawing.Point(832, 152) Me.btnhpavA3.Name = "btnhpavA3" Me.btnhpavA3.Size = New System.Drawing.Size(96, 24) Me.btnhpavA3.TabIndex = 40 Me.btnhpavA3.Text = "A3" Me.ttpMain.SetToolTip(Me.btnhpavA3, "Drucken auf HP-AV im Format A3") ' 'btnhpavA4 ' Me.btnhpavA4.Enabled = False Me.btnhpavA4.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnhpavA4.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnhpavA4.ForeColor = System.Drawing.Color.Silver Me.btnhpavA4.Location = New System.Drawing.Point(832, 184) Me.btnhpavA4.Name = "btnhpavA4" Me.btnhpavA4.Size = New System.Drawing.Size(96, 24) Me.btnhpavA4.TabIndex = 39 Me.btnhpavA4.Text = "A4" Me.ttpMain.SetToolTip(Me.btnhpavA4, "Drucken auf HP-AV im Format A4") ' 'lblhpav ' Me.lblhpav.Font = New System.Drawing.Font("Microsoft Sans Serif", 16.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblhpav.ForeColor = System.Drawing.Color.Silver Me.lblhpav.Location = New System.Drawing.Point(832, 8) Me.lblhpav.Name = "lblhpav" Me.lblhpav.Size = New System.Drawing.Size(96, 32) Me.lblhpav.TabIndex = 38 Me.lblhpav.Text = "HP-AV" Me.lblhpav.TextAlign = System.Drawing.ContentAlignment.MiddleCenter Me.ttpMain.SetToolTip(Me.lblhpav, "Beenden") ' 'pichpav ' Me.pichpav.Image = CType(resources.GetObject("pichpav.Image"), System.Drawing.Image) Me.pichpav.Location = New System.Drawing.Point(832, 40) Me.pichpav.Name = "pichpav" Me.pichpav.Size = New System.Drawing.Size(96, 96) Me.pichpav.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage Me.pichpav.TabIndex = 37 Me.pichpav.TabStop = False ' 'lblHinweis ' Me.lblHinweis.Font = New System.Drawing.Font("Microsoft Sans Serif", 16.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblHinweis.ForeColor = System.Drawing.Color.FromArgb(CType(128, Byte), CType(64, Byte), CType(0, Byte)) Me.lblHinweis.Location = New System.Drawing.Point(128, 248) Me.lblHinweis.Name = "lblHinweis" Me.lblHinweis.Size = New System.Drawing.Size(696, 32) Me.lblHinweis.TabIndex = 36 Me.lblHinweis.Text = "Der Ausdruck erfolgt !!!" Me.lblHinweis.TextAlign = System.Drawing.ContentAlignment.TopCenter Me.lblHinweis.Visible = False ' 'lblSIE ' Me.lblSIE.Font = New System.Drawing.Font("Microsoft Sans Serif", 10.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblSIE.ForeColor = System.Drawing.Color.Silver Me.lblSIE.Location = New System.Drawing.Point(520, 8) Me.lblSIE.Name = "lblSIE" Me.lblSIE.Size = New System.Drawing.Size(48, 32) Me.lblSIE.TabIndex = 32 Me.lblSIE.Text = "(sie)" Me.lblSIE.TextAlign = System.Drawing.ContentAlignment.MiddleLeft ' 'picMeteor ' Me.picMeteor.Image = CType(resources.GetObject("picMeteor.Image"), System.Drawing.Image) Me.picMeteor.Location = New System.Drawing.Point(16, 40) Me.picMeteor.Name = "picMeteor" Me.picMeteor.Size = New System.Drawing.Size(96, 96) Me.picMeteor.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage Me.picMeteor.TabIndex = 26 Me.picMeteor.TabStop = False ' 'picLS003 ' Me.picLS003.Image = CType(resources.GetObject("picLS003.Image"), System.Drawing.Image) Me.picLS003.Location = New System.Drawing.Point(448, 40) Me.picLS003.Name = "picLS003" Me.picLS003.Size = New System.Drawing.Size(96, 96) Me.picLS003.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage Me.picLS003.TabIndex = 27 Me.picLS003.TabStop = False ' 'picLS004 ' Me.picLS004.Image = CType(resources.GetObject("picLS004.Image"), System.Drawing.Image) Me.picLS004.Location = New System.Drawing.Point(592, 40) Me.picLS004.Name = "picLS004" Me.picLS004.Size = New System.Drawing.Size(96, 96) Me.picLS004.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage Me.picLS004.TabIndex = 23 Me.picLS004.TabStop = False ' 'picLS002 ' Me.picLS002.Image = CType(resources.GetObject("picLS002.Image"), System.Drawing.Image) Me.picLS002.Location = New System.Drawing.Point(304, 40) Me.picLS002.Name = "picLS002" Me.picLS002.Size = New System.Drawing.Size(96, 96) Me.picLS002.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage Me.picLS002.TabIndex = 24 Me.picLS002.TabStop = False ' 'picLS001 ' Me.picLS001.Image = CType(resources.GetObject("picLS001.Image"), System.Drawing.Image) Me.picLS001.Location = New System.Drawing.Point(160, 40) Me.picLS001.Name = "picLS001" Me.picLS001.Size = New System.Drawing.Size(96, 96) Me.picLS001.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage Me.picLS001.TabIndex = 25 Me.picLS001.TabStop = False ' 'lblMeteor ' Me.lblMeteor.Font = New System.Drawing.Font("Microsoft Sans Serif", 16.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblMeteor.ForeColor = System.Drawing.Color.Silver Me.lblMeteor.Location = New System.Drawing.Point(16, 8) Me.lblMeteor.Name = "lblMeteor" Me.lblMeteor.Size = New System.Drawing.Size(96, 32) Me.lblMeteor.TabIndex = 33 Me.lblMeteor.Text = "Meteor" Me.lblMeteor.TextAlign = System.Drawing.ContentAlignment.MiddleCenter ' 'lblLS002 ' Me.lblLS002.Font = New System.Drawing.Font("Microsoft Sans Serif", 16.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblLS002.ForeColor = System.Drawing.Color.Silver Me.lblLS002.Location = New System.Drawing.Point(304, 8) Me.lblLS002.Name = "lblLS002" Me.lblLS002.Size = New System.Drawing.Size(96, 32) Me.lblLS002.TabIndex = 34 Me.lblLS002.Text = "LS-002" Me.lblLS002.TextAlign = System.Drawing.ContentAlignment.MiddleCenter Me.ttpMain.SetToolTip(Me.lblLS002, "Beenden") ' 'lblLS001 ' Me.lblLS001.Font = New System.Drawing.Font("Microsoft Sans Serif", 16.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblLS001.ForeColor = System.Drawing.Color.Silver Me.lblLS001.Location = New System.Drawing.Point(160, 8) Me.lblLS001.Name = "lblLS001" Me.lblLS001.Size = New System.Drawing.Size(96, 32) Me.lblLS001.TabIndex = 31 Me.lblLS001.Text = "LS-001" Me.lblLS001.TextAlign = System.Drawing.ContentAlignment.MiddleCenter ' 'lblLS003 ' Me.lblLS003.Font = New System.Drawing.Font("Microsoft Sans Serif", 16.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblLS003.ForeColor = System.Drawing.Color.Silver Me.lblLS003.Location = New System.Drawing.Point(432, 8) Me.lblLS003.Name = "lblLS003" Me.lblLS003.Size = New System.Drawing.Size(96, 32) Me.lblLS003.TabIndex = 28 Me.lblLS003.Text = "LS-003" Me.lblLS003.TextAlign = System.Drawing.ContentAlignment.MiddleCenter ' 'lblVERSUCH ' Me.lblVERSUCH.Font = New System.Drawing.Font("Microsoft Sans Serif", 10.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblVERSUCH.ForeColor = System.Drawing.Color.Silver Me.lblVERSUCH.Location = New System.Drawing.Point(664, 8) Me.lblVERSUCH.Name = "lblVERSUCH" Me.lblVERSUCH.Size = New System.Drawing.Size(64, 32) Me.lblVERSUCH.TabIndex = 29 Me.lblVERSUCH.Text = "(Versuch)" Me.lblVERSUCH.TextAlign = System.Drawing.ContentAlignment.MiddleLeft ' 'lblLS004 ' Me.lblLS004.Font = New System.Drawing.Font("Microsoft Sans Serif", 16.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblLS004.ForeColor = System.Drawing.Color.Silver Me.lblLS004.Location = New System.Drawing.Point(576, 8) Me.lblLS004.Name = "lblLS004" Me.lblLS004.Size = New System.Drawing.Size(96, 32) Me.lblLS004.TabIndex = 30 Me.lblLS004.Text = "LS-004" Me.lblLS004.TextAlign = System.Drawing.ContentAlignment.MiddleCenter ' 'btnLS003A4 ' Me.btnLS003A4.Enabled = False Me.btnLS003A4.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnLS003A4.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnLS003A4.ForeColor = System.Drawing.Color.Silver Me.btnLS003A4.Location = New System.Drawing.Point(448, 152) Me.btnLS003A4.Name = "btnLS003A4" Me.btnLS003A4.Size = New System.Drawing.Size(96, 24) Me.btnLS003A4.TabIndex = 35 Me.btnLS003A4.Text = "A4" Me.ttpMain.SetToolTip(Me.btnLS003A4, "Drucken auf LS-003 im Format A4") ' 'btnLS001A3 ' Me.btnLS001A3.Enabled = False Me.btnLS001A3.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnLS001A3.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnLS001A3.ForeColor = System.Drawing.Color.Silver Me.btnLS001A3.Location = New System.Drawing.Point(160, 152) Me.btnLS001A3.Name = "btnLS001A3" Me.btnLS001A3.Size = New System.Drawing.Size(96, 24) Me.btnLS001A3.TabIndex = 35 Me.btnLS001A3.Text = "A3" Me.ttpMain.SetToolTip(Me.btnLS001A3, "Drucken auf LS-001 im Format A3") ' 'btnLS001A4 ' Me.btnLS001A4.Enabled = False Me.btnLS001A4.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnLS001A4.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnLS001A4.ForeColor = System.Drawing.Color.Silver Me.btnLS001A4.Location = New System.Drawing.Point(160, 184) Me.btnLS001A4.Name = "btnLS001A4" Me.btnLS001A4.Size = New System.Drawing.Size(96, 24) Me.btnLS001A4.TabIndex = 35 Me.btnLS001A4.Text = "A4" Me.ttpMain.SetToolTip(Me.btnLS001A4, "Drucken auf LS-001 im Format A4") ' 'btnLS002A3 ' Me.btnLS002A3.Enabled = False Me.btnLS002A3.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnLS002A3.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnLS002A3.ForeColor = System.Drawing.Color.Silver Me.btnLS002A3.Location = New System.Drawing.Point(304, 152) Me.btnLS002A3.Name = "btnLS002A3" Me.btnLS002A3.Size = New System.Drawing.Size(96, 24) Me.btnLS002A3.TabIndex = 35 Me.btnLS002A3.Text = "A3" Me.ttpMain.SetToolTip(Me.btnLS002A3, "Drucken auf LS-002 im Format A3") ' 'btnLS002A4 ' Me.btnLS002A4.Enabled = False Me.btnLS002A4.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnLS002A4.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnLS002A4.ForeColor = System.Drawing.Color.Silver Me.btnLS002A4.Location = New System.Drawing.Point(304, 184) Me.btnLS002A4.Name = "btnLS002A4" Me.btnLS002A4.Size = New System.Drawing.Size(96, 24) Me.btnLS002A4.TabIndex = 35 Me.btnLS002A4.Text = "A4" Me.ttpMain.SetToolTip(Me.btnLS002A4, "Drucken auf LS-002 im Format A4") ' 'btnMeteorA0 ' Me.btnMeteorA0.Enabled = False Me.btnMeteorA0.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnMeteorA0.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnMeteorA0.ForeColor = System.Drawing.Color.Silver Me.btnMeteorA0.Location = New System.Drawing.Point(16, 152) Me.btnMeteorA0.Name = "btnMeteorA0" Me.btnMeteorA0.Size = New System.Drawing.Size(96, 24) Me.btnMeteorA0.TabIndex = 35 Me.btnMeteorA0.Text = "A0" Me.ttpMain.SetToolTip(Me.btnMeteorA0, "Drucken auf Meteor im Format A0") ' 'btnMeteorA1 ' Me.btnMeteorA1.Enabled = False Me.btnMeteorA1.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnMeteorA1.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnMeteorA1.ForeColor = System.Drawing.Color.Silver Me.btnMeteorA1.Location = New System.Drawing.Point(16, 184) Me.btnMeteorA1.Name = "btnMeteorA1" Me.btnMeteorA1.Size = New System.Drawing.Size(96, 24) Me.btnMeteorA1.TabIndex = 35 Me.btnMeteorA1.Text = "A1" Me.ttpMain.SetToolTip(Me.btnMeteorA1, "Drucken auf Meteor im Format A1") ' 'btnMeteorA2 ' Me.btnMeteorA2.Enabled = False Me.btnMeteorA2.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnMeteorA2.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnMeteorA2.ForeColor = System.Drawing.Color.Silver Me.btnMeteorA2.Location = New System.Drawing.Point(16, 216) Me.btnMeteorA2.Name = "btnMeteorA2" Me.btnMeteorA2.Size = New System.Drawing.Size(96, 24) Me.btnMeteorA2.TabIndex = 35 Me.btnMeteorA2.Text = "A2" Me.ttpMain.SetToolTip(Me.btnMeteorA2, "Drucken auf Meteor im Format A2") ' 'btnMeteorA3 ' Me.btnMeteorA3.Enabled = False Me.btnMeteorA3.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnMeteorA3.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnMeteorA3.ForeColor = System.Drawing.Color.Silver Me.btnMeteorA3.Location = New System.Drawing.Point(16, 248) Me.btnMeteorA3.Name = "btnMeteorA3" Me.btnMeteorA3.Size = New System.Drawing.Size(96, 24) Me.btnMeteorA3.TabIndex = 35 Me.btnMeteorA3.Text = "A3" Me.ttpMain.SetToolTip(Me.btnMeteorA3, "Drucken auf Meteor im Format A3") ' 'btnMeteorA4 ' Me.btnMeteorA4.Enabled = False Me.btnMeteorA4.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnMeteorA4.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnMeteorA4.ForeColor = System.Drawing.Color.Silver Me.btnMeteorA4.Location = New System.Drawing.Point(16, 280) Me.btnMeteorA4.Name = "btnMeteorA4" Me.btnMeteorA4.Size = New System.Drawing.Size(96, 24) Me.btnMeteorA4.TabIndex = 35 Me.btnMeteorA4.Text = "A4" Me.ttpMain.SetToolTip(Me.btnMeteorA4, "Drucken auf Meteor im Format A4") ' 'btnLS004A4 ' Me.btnLS004A4.Enabled = False Me.btnLS004A4.FlatStyle = System.Windows.Forms.FlatStyle.Flat Me.btnLS004A4.Font = New System.Drawing.Font("Microsoft Sans Serif", 14.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.btnLS004A4.ForeColor = System.Drawing.Color.Silver Me.btnLS004A4.Location = New System.Drawing.Point(592, 152) Me.btnLS004A4.Name = "btnLS004A4" Me.btnLS004A4.Size = New System.Drawing.Size(96, 24) Me.btnLS004A4.TabIndex = 35 Me.btnLS004A4.Text = "A4" Me.ttpMain.SetToolTip(Me.btnLS004A4, "Drucken auf LS-004 im Format A4") ' 'lblLoginManager ' Me.lblLoginManager.BackColor = System.Drawing.SystemColors.Control Me.lblLoginManager.Font = New System.Drawing.Font("Arial", 36.0!, CType((System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Italic), System.Drawing.FontStyle), System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblLoginManager.ForeColor = System.Drawing.Color.LightSeaGreen Me.lblLoginManager.Location = New System.Drawing.Point(128, 72) Me.lblLoginManager.Name = "lblLoginManager" Me.lblLoginManager.Size = New System.Drawing.Size(472, 64) Me.lblLoginManager.TabIndex = 5 Me.lblLoginManager.Text = "CAD Print-Manager" ' 'sbrMain ' Me.sbrMain.Dock = System.Windows.Forms.DockStyle.None Me.sbrMain.Font = New System.Drawing.Font("Microsoft Sans Serif", 10.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.sbrMain.Location = New System.Drawing.Point(16, 544) Me.sbrMain.Name = "sbrMain" Me.sbrMain.Panels.AddRange(New System.Windows.Forms.StatusBarPanel() {Me.pnlOS, Me.pnlActivity, Me.pnlDate, Me.pnlTime}) Me.sbrMain.ShowPanels = True Me.sbrMain.Size = New System.Drawing.Size(944, 22) Me.sbrMain.SizingGrip = False Me.sbrMain.TabIndex = 13 ' 'pnlOS ' Me.pnlOS.Text = "Betriebssystem" ' 'pnlActivity ' Me.pnlActivity.Text = "Prozess" Me.pnlActivity.Width = 700 ' 'pnlDate ' Me.pnlDate.Text = "Datum" Me.pnlDate.Width = 80 ' 'pnlTime ' Me.pnlTime.Text = "Zeit" Me.pnlTime.Width = 80 ' 'prbMain ' Me.prbMain.ForeColor = System.Drawing.SystemColors.ActiveCaption Me.prbMain.Location = New System.Drawing.Point(16, 528) Me.prbMain.Name = "prbMain" Me.prbMain.Size = New System.Drawing.Size(944, 16) Me.prbMain.Step = 1 Me.prbMain.TabIndex = 11 ' 'lblFirm ' Me.lblFirm.Font = New System.Drawing.Font("Arial", 18.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte)) Me.lblFirm.ForeColor = System.Drawing.Color.Black Me.lblFirm.Location = New System.Drawing.Point(120, 24) Me.lblFirm.Name = "lblFirm" Me.lblFirm.Size = New System.Drawing.Size(344, 40) Me.lblFirm.TabIndex = 4 Me.lblFirm.Text = "Sauter Feinmechanik GmbH " ' 'picLogo ' Me.picLogo.Image = CType(resources.GetObject("picLogo.Image"), System.Drawing.Image) Me.picLogo.Location = New System.Drawing.Point(16, 24) Me.picLogo.Name = "picLogo" Me.picLogo.Size = New System.Drawing.Size(96, 96) Me.picLogo.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage Me.picLogo.TabIndex = 3 Me.picLogo.TabStop = False ' 'lblWarning ' Me.lblWarning.ForeColor = System.Drawing.Color.Gray Me.lblWarning.Location = New System.Drawing.Point(16, 488) Me.lblWarning.Name = "lblWarning" Me.lblWarning.Size = New System.Drawing.Size(844, 32) Me.lblWarning.TabIndex = 2 Me.lblWarning.Text = "Warnung: Dieses Computerprogramm ist durch Urheberrechtsgesetze und international" & _ "e Verträge geschützt. Unerlaubte Vervielfältigung dieses Programms oder von Prog" & _ "rammteilen wird zivilrechtlich oder strafrechtlich bis zur gesetzlichen Höchstst" & _ "rafe verfolgt." ' 'picEXIT ' Me.picEXIT.Image = CType(resources.GetObject("picEXIT.Image"), System.Drawing.Image) Me.picEXIT.Location = New System.Drawing.Point(912, 472) Me.picEXIT.Name = "picEXIT" Me.picEXIT.Size = New System.Drawing.Size(48, 48) Me.picEXIT.TabIndex = 1 Me.picEXIT.TabStop = False Me.ttpMain.SetToolTip(Me.picEXIT, "CAD Print-Manager beenden") ' 'frmMain ' Me.AutoScale = False Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13) Me.ClientSize = New System.Drawing.Size(994, 594) Me.ControlBox = False Me.Controls.Add(Me.grpMain) Me.ForeColor = System.Drawing.SystemColors.ActiveCaption Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog Me.Name = "frmMain" Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen Me.Text = "CAD Print-Manager" Me.grpMain.ResumeLayout(False) Me.grpPrinter.ResumeLayout(False) CType(Me.pnlOS, System.ComponentModel.ISupportInitialize).EndInit() CType(Me.pnlActivity, System.ComponentModel.ISupportInitialize).EndInit() CType(Me.pnlDate, System.ComponentModel.ISupportInitialize).EndInit() CType(Me.pnlTime, System.ComponentModel.ISupportInitialize).EndInit() Me.ResumeLayout(False) End Sub #End Region Private Sub frmMain_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load Me.Visible = False Dim b As Integer b = 0 Dim proc As Process For Each proc In Process.GetProcesses If (proc.ProcessName = "CADPrintManager") Then b = b + 1 End If Next If b > 1 Then MsgBox("Das Programm wurde bereits gestartet.", MsgBoxStyle.Exclamation) 'Threading.Thread.Sleep(1000) Application.Exit() End If AddHandler m_tmr.Tick, AddressOf tmrMain_Tick m_tmr.Interval = 50 m_tmr.Start() Me.picEXIT.Select() Me.Visible = True Me.Refresh() Try Dim Ident As New HIdentity vClientName = Ident.GetClientName vUserName = Ident.GetUserName vOSName = Ident.GetOS vOrientation = 2 Me.prbMain.Minimum = 0 Me.lblClient.Text = vClientName Me.lblUser.Text = vUserName Me.pnlOS.Text = vOSName Me.pnlDate.Text = Format(Now, "dd.MM.yyyy") Me.pnlTime.Text = Format(Now, "HH:mm:ss") Me.Refresh() check_Printer() set_SE() Catch ex As Exception MsgBox("<<< Security-Problem >>>" & vbCrLf & vbCrLf & "Bitte nachfolgenden Dialog durch Drücken" & vbCrLf & "auf den Button 'Beenden' schließen" & vbCrLf & "und den Administrator benachrichtigen!" & vbCrLf & vbCrLf & "Error Code: " & ex.Message, MsgBoxStyle.Critical) Application.Exit() End Try Me.Refresh() End Sub Private Sub tmrMain_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Me.pnlTime.Text = Format(Now, "HH:mm:ss") m_iTime += 1 If (m_iTime > 99) Then Me.m_tmr.Stop() 'Application.Exit() End If End Sub Private Sub set_SE() oApp = fobjGetApplication() If oApp Is Nothing Then MsgBox("<<< Verbindungs-Problem >>>" & vbCrLf & vbCrLf & "Es konnte keine Kommunikation mit Solid Edge hergestellt werden." & vbCrLf & "Wenn Solid Edge bereits gestartet ist, bitte den Administrator benachrichtigen!", MsgBoxStyle.Critical) End End If 'oDoc = oApp.ActiveDocument End Sub Private Function fobjGetApplication() As Object '----------------------------------------------------------------------------- ' fobjGetApplication: This function returns a reference to an instance of ' the specified application. If the application is not running when this ' routine is called, then a value of "Nothing" is returned. ' Input : None. ' Returns : A reference to the specified application as type object. '----------------------------------------------------------------------------- Dim objBooks As Object Dim strMsg As String On Error Resume Next ' Connect to running instance of the application. fobjGetApplication = GetObject(, "solidedge.application") If Err.Number Then ' The application was not running. Return "Nothing". Err.Clear() 'UPGRADE_NOTE: Das Objekt fobjGetApplication kann erst dann gelöscht werden, wenn die Garbagecollection durchgeführt wurde. Klicken Sie hier für weitere Informationen: 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="vbup1029"' fobjGetApplication = Nothing Exit Function End If 'UPGRADE_WARNING: Die Standardeigenschaft des Objekts fobjGetApplication.ActiveDocumentType konnte nicht aufgelöst werden. Klicken Sie hier für weitere Informationen: 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="vbup1037"' 'If fobjGetApplication.ActiveDocumentType <> SolidEdgeConstants.DocumentTypeConstants.igAssemblyDocument Then If fobjGetApplication.ActiveDocumentType = SolidEdgeConstants.DocumentTypeConstants.igAssemblyDocument Then ' Not in assembly environment 'UPGRADE_NOTE: Das Objekt fobjGetApplication kann erst dann gelöscht werden, wenn die Garbagecollection durchgeführt wurde. Klicken Sie hier für weitere Informationen: 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="vbup1029"' m_SEObject = "Assembly" Exit Function End If If fobjGetApplication.ActiveDocumentType = SolidEdgeConstants.DocumentTypeConstants.igDraftDocument Then ' Not in assembly environment 'UPGRADE_NOTE: Das Objekt fobjGetApplication kann erst dann gelöscht werden, wenn die Garbagecollection durchgeführt wurde. Klicken Sie hier für weitere Informationen: 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="vbup1029"' m_SEObject = "Draft" Exit Function End If If fobjGetApplication.ActiveDocumentType = SolidEdgeConstants.DocumentTypeConstants.igPartDocument Then ' Not in assembly environment 'UPGRADE_NOTE: Das Objekt fobjGetApplication kann erst dann gelöscht werden, wenn die Garbagecollection durchgeführt wurde. Klicken Sie hier für weitere Informationen: 'ms-help://MS.VSCC.2003/commoner/redir/redirect.htm?keyword="vbup1029"' m_SEObject = "Part" End If Exit Function fobjGetApplication = Nothing End Function Private Sub picEXIT_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles picEXIT.Click Application.Exit() End Sub Private Sub btnMeteorA0_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMeteorA0.Click Ausdruck("\\Meteor5200\MeteorPS", 0) End Sub Private Sub btnMeteorA1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMeteorA1.Click Ausdruck("\\Meteor5200\MeteorPS", 1) End Sub Private Sub btnMeteorA2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMeteorA2.Click Ausdruck("\\Meteor5200\MeteorPS", 2) End Sub Private Sub btnMeteorA3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMeteorA3.Click Ausdruck("\\Meteor5200\MeteorPS", 3) End Sub Private Sub btnMeteorA4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMeteorA4.Click Ausdruck("\\Meteor5200\MeteorPS", 4) End Sub Private Sub btnLS001A3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLS001A3.Click Ausdruck("\\SRV-001\LS-001", 3) End Sub Private Sub btnLS001A4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLS001A4.Click Ausdruck("\\SRV-001\LS-001", 4) End Sub Private Sub btnLS002A3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLS002A3.Click Ausdruck("\\SRV-001\LS-002", 3) End Sub Private Sub btnLS002A4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLS002A4.Click Ausdruck("\\SRV-001\LS-002", 4) End Sub Private Sub btnLS003A4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLS003A4.Click Ausdruck("\\SRV-001\LS-003", 4) End Sub Private Sub btnLS004A4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLS004A4.Click Ausdruck("\\SRV-001\LS-004", 4) End Sub Private Sub btnhpavA3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnhpavA3.Click Ausdruck("\\SRV-001\HP-AV", 3) End Sub Private Sub btnhpavA4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnhpavA4.Click Ausdruck("\\SRV-001\HP-AV", 4) End Sub Private Sub Ausdruck(ByVal Printer As String, ByVal Size As Integer) Dim sizevalue As Integer Dim checkvalue As Integer 'Vergleichswert für odoc.ActiveSheet.SheetSetup.SheetSizeOption Select Case Size Case 0 sizevalue = 42 checkvalue = 37 Case 1 sizevalue = 43 checkvalue = 35 Case 2 sizevalue = 44 checkvalue = 33 Case 3 sizevalue = 8 checkvalue = 31 Case 4 sizevalue = 9 checkvalue = 29 End Select Try Select Case m_SEObject Case "Assembly" Dim oDoc As SolidEdgeAssembly.AssemblyDocument oDoc = oApp.ActiveDocument Me.lblHinweis.Visible = True Me.Refresh() oDoc.PrintOut(Printer, 1, vOrientation, sizevalue) Case "Draft" Dim oDoc As SolidEdgeDraft.DraftDocument oDoc = oApp.ActiveDocument If odoc.ActiveSheet.SheetSetup.SheetSizeOption < checkvalue Then 'Vergrößerung Me.lblHinweis.Text = Me.lblHinweis.Text + " - Vergrösserung auf A" + Trim(Str(Size)) End If If odoc.ActiveSheet.SheetSetup.SheetSizeOption = checkvalue Then '1:1 Me.lblHinweis.Text = Me.lblHinweis.Text + " - 1:1 auf A" + Trim(Str(Size)) End If If odoc.ActiveSheet.SheetSetup.SheetSizeOption > checkvalue Then 'Verkleinerung Me.lblHinweis.Text = Me.lblHinweis.Text + " - Verkleinerung auf A" + Trim(Str(Size)) End If Me.lblHinweis.Visible = True Me.Refresh() oDoc.PrintOut(Printer, 1, vOrientation, sizevalue) Case "Part" Dim oDoc As SolidEdgePart.PartDocument oDoc = oApp.ActiveDocument Me.lblHinweis.Visible = True Me.Refresh() oDoc.PrintOut(Printer, 1, vOrientation, sizevalue) End Select Catch ex As Exception MsgBox("<<< Security-Problem >>>" & vbCrLf & vbCrLf & "Bitte nachfolgenden Dialog durch Drücken" & vbCrLf & "auf den Button 'Beenden' schließen" & vbCrLf & "und den Administrator benachrichtigen!" & vbCrLf & vbCrLf & "Error Code: " & ex.Message, MsgBoxStyle.Critical) Application.Exit() End Try Threading.Thread.Sleep(1000) Application.Exit() End Sub Private Sub check_Printer() Dim pd As New Printing.PrintDocument Dim txtPrinterName As String Dim i As Integer Dim j As Integer For Each txtPrinterName In pd.PrinterSettings.InstalledPrinters Select Case txtPrinterName.ToLower Case "\\meteor5200\meteorps" Me.lblMeteor.ForeColor = System.Drawing.Color.Black Me.btnMeteorA0.ForeColor = System.Drawing.Color.Black Me.btnMeteorA1.ForeColor = System.Drawing.Color.Black Me.btnMeteorA2.ForeColor = System.Drawing.Color.Black Me.btnMeteorA3.ForeColor = System.Drawing.Color.Black Me.btnMeteorA4.ForeColor = System.Drawing.Color.Black Me.btnMeteorA0.Enabled = True Me.btnMeteorA1.Enabled = True Me.btnMeteorA2.Enabled = True Me.btnMeteorA3.Enabled = True Me.btnMeteorA4.Enabled = True Case "\\srv-001\ls-001" Me.lblLS001.ForeColor = System.Drawing.Color.Black Me.btnLS001A3.ForeColor = System.Drawing.Color.Black Me.btnLS001A4.ForeColor = System.Drawing.Color.Black Me.btnLS001A3.Enabled = True Me.btnLS001A4.Enabled = True Case "\\srv-001\ls-002" Me.lblLS002.ForeColor = System.Drawing.Color.Black Me.btnLS002A3.ForeColor = System.Drawing.Color.Black Me.btnLS002A4.ForeColor = System.Drawing.Color.Black Me.btnLS002A3.Enabled = True Me.btnLS002A4.Enabled = True Case "\\srv-001\ls-003" Me.lblLS003.ForeColor = System.Drawing.Color.Black Me.lblSIE.ForeColor = System.Drawing.Color.Black Me.btnLS003A4.ForeColor = System.Drawing.Color.Black Me.btnLS003A4.Enabled = True Case "\\srv-001\ls-004" Me.lblLS004.ForeColor = System.Drawing.Color.Black Me.lblVERSUCH.ForeColor = System.Drawing.Color.Black Me.btnLS004A4.ForeColor = System.Drawing.Color.Black Me.btnLS004A4.Enabled = True Case "\\srv-001\hp-av" Me.lblhpav.ForeColor = System.Drawing.Color.Black Me.btnhpavA3.ForeColor = System.Drawing.Color.Black Me.btnhpavA4.ForeColor = System.Drawing.Color.Black Me.btnhpavA3.Enabled = True Me.btnhpavA4.Enabled = True End Select Next End Sub Private Sub rbnLandscape_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rbnLandscape.CheckedChanged If Me.rbnLandscape.Checked Then vOrientation = 2 Else vOrientation = 1 End If End Sub Private Sub rbnPortrait_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rbnPortrait.CheckedChanged If Me.rbnPortrait.Checked Then vOrientation = 1 Else vOrientation = 2 End If End Sub End Class